Package com.google.javascript.jscomp

# Class FunctionInformationMap

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.google.javascript.jscomp.FunctionInformationMap

All Implemented Interfaces:
  `FunctionInformationMapOrBuilder`, `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Serializable`

public final class FunctionInformationMap extends com.google.protobuf.GeneratedMessageV3 implements FunctionInformationMapOrBuilder
Protobuf type `jscomp.FunctionInformationMap`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`FunctionInformationMap.Builder`
Protobuf type `jscomp.FunctionInformationMap`
`static final class`
`FunctionInformationMap.Entry`
Protobuf type `jscomp.FunctionInformationMap.Entry`
`static interface`
`FunctionInformationMap.EntryOrBuilder`
`static final class`
`FunctionInformationMap.Module`
Protobuf type `jscomp.FunctionInformationMap.Module`
`static interface`
`FunctionInformationMap.ModuleOrBuilder`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ENTRY_FIELD_NUMBER`
`static final int`
`MODULE_FIELD_NUMBER`
`static final com.google.protobuf.Parser<FunctionInformationMap>`
`PARSER`
Deprecated.

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`static FunctionInformationMap`
`getDefaultInstance()`
`FunctionInformationMap`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`FunctionInformationMap.Entry`
`getEntry(int index)`
`repeated group Entry = 1 { ...`
`int`
`getEntryCount()`
`repeated group Entry = 1 { ...`
`List<FunctionInformationMap.Entry>`
`getEntryList()`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.EntryOrBuilder`
`getEntryOrBuilder(int index)`
`repeated group Entry = 1 { ...`
`List<? extends FunctionInformationMap.EntryOrBuilder>`
`getEntryOrBuilderList()`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Module`
`getModule(int index)`
`repeated group Module = 101 { ...`
`int`
`getModuleCount()`
`repeated group Module = 101 { ...`
`List<FunctionInformationMap.Module>`
`getModuleList()`
`repeated group Module = 101 { ...`
`FunctionInformationMap.ModuleOrBuilder`
`getModuleOrBuilder(int index)`
`repeated group Module = 101 { ...`
`List<? extends FunctionInformationMap.ModuleOrBuilder>`
`getModuleOrBuilderList()`
`repeated group Module = 101 { ...`
`com.google.protobuf.Parser<FunctionInformationMap>`
`getParserForType()`
`int`
`getSerializedSize()`
`final com.google.protobuf.UnknownFieldSet`
`getUnknownFields()`
`int`
`hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static FunctionInformationMap.Builder`
`newBuilder()`
`static FunctionInformationMap.Builder`
`newBuilder(FunctionInformationMap prototype)`
`FunctionInformationMap.Builder`
`newBuilderForType()`
`protected FunctionInformationMap.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static FunctionInformationMap`
`parseDelimitedFrom(InputStream input)`
`static FunctionInformationMap`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap`
`parseFrom(byte[] data)`
`static FunctionInformationMap`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap`
`parseFrom(com.google.protobuf.ByteString data)`
`static FunctionInformationMap`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static FunctionInformationMap`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap`
`parseFrom(InputStream input)`
`static FunctionInformationMap`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap`
`parseFrom(ByteBuffer data)`
`static FunctionInformationMap`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<FunctionInformationMap>`
`parser()`
`FunctionInformationMap.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### ENTRY_FIELD_NUMBER

public static final int ENTRY_FIELD_NUMBER

See Also:
  - Constant Field Values

### MODULE_FIELD_NUMBER

public static final int MODULE_FIELD_NUMBER

See Also:
  - Constant Field Values

### PARSER

@Deprecated public static final com.google.protobuf.Parser<FunctionInformationMap> PARSER
Deprecated.

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getEntryList

public List<FunctionInformationMap.Entry> getEntryList()
`repeated group Entry = 1 { ... }`

Specified by:
  `getEntryList` in interface `FunctionInformationMapOrBuilder`

### getEntryOrBuilderList

public List<? extends FunctionInformationMap.EntryOrBuilder> getEntryOrBuilderList()
`repeated group Entry = 1 { ... }`

Specified by:
  `getEntryOrBuilderList` in interface `FunctionInformationMapOrBuilder`

### getEntryCount

public int getEntryCount()
`repeated group Entry = 1 { ... }`

Specified by:
  `getEntryCount` in interface `FunctionInformationMapOrBuilder`

### getEntry

public FunctionInformationMap.Entry getEntry(int index)
`repeated group Entry = 1 { ... }`

Specified by:
  `getEntry` in interface `FunctionInformationMapOrBuilder`

### getEntryOrBuilder

public FunctionInformationMap.EntryOrBuilder getEntryOrBuilder(int index)
`repeated group Entry = 1 { ... }`

Specified by:
  `getEntryOrBuilder` in interface `FunctionInformationMapOrBuilder`

### getModuleList

public List<FunctionInformationMap.Module> getModuleList()
`repeated group Module = 101 { ... }`

Specified by:
  `getModuleList` in interface `FunctionInformationMapOrBuilder`

### getModuleOrBuilderList

public List<? extends FunctionInformationMap.ModuleOrBuilder> getModuleOrBuilderList()
`repeated group Module = 101 { ... }`

Specified by:
  `getModuleOrBuilderList` in interface `FunctionInformationMapOrBuilder`

### getModuleCount

public int getModuleCount()
`repeated group Module = 101 { ... }`

Specified by:
  `getModuleCount` in interface `FunctionInformationMapOrBuilder`

### getModule

public FunctionInformationMap.Module getModule(int index)
`repeated group Module = 101 { ... }`

Specified by:
  `getModule` in interface `FunctionInformationMapOrBuilder`

### getModuleOrBuilder

public FunctionInformationMap.ModuleOrBuilder getModuleOrBuilder(int index)
`repeated group Module = 101 { ... }`

Specified by:
  `getModuleOrBuilder` in interface `FunctionInformationMapOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static FunctionInformationMap parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static FunctionInformationMap parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static FunctionInformationMap parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static FunctionInformationMap parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static FunctionInformationMap parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static FunctionInformationMap parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public FunctionInformationMap.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static FunctionInformationMap.Builder newBuilder()

### newBuilder

public static FunctionInformationMap.Builder newBuilder(FunctionInformationMap prototype)

### toBuilder

public FunctionInformationMap.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected FunctionInformationMap.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static FunctionInformationMap getDefaultInstance()

### parser

public static com.google.protobuf.Parser<FunctionInformationMap> parser()

### getParserForType

public com.google.protobuf.Parser<FunctionInformationMap> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public FunctionInformationMap getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`